Servers
curl --request GET \
--url https://api.dis.dog/v1/servers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dis.dog/v1/servers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dis.dog/v1/servers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total": 12,
"servers": [
{
"id": "<string>",
"name": "<string>",
"iconUrl": "<string>",
"memberCount": 123,
"lastSeenAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "plan_has_no_api",
"retryAfterMs": 2000
}{
"error": "plan_has_no_api",
"retryAfterMs": 2000
}{
"error": "plan_has_no_api",
"retryAfterMs": 2000
}Modules
Server memberships
The servers a Discord account has been seen in, largest first. Answering 200 takes 1 search; 400, 451 and 429 take none.
GET
/
v1
/
servers
/
{id}
Servers
curl --request GET \
--url https://api.dis.dog/v1/servers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dis.dog/v1/servers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dis.dog/v1/servers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total": 12,
"servers": [
{
"id": "<string>",
"name": "<string>",
"iconUrl": "<string>",
"memberCount": 123,
"lastSeenAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "plan_has_no_api",
"retryAfterMs": 2000
}{
"error": "plan_has_no_api",
"retryAfterMs": 2000
}{
"error": "plan_has_no_api",
"retryAfterMs": 2000
}The servers a Discord account has been seen in, largest first. Takes 1 search from your quota. About the module →

